/*
 * DataTable.cs - Implementation of "System.Data.DataTable" 
 *
 * Copyright (C) 2003  Southern Storm Software, Pty Ltd.
 * Copyright (C) 2003  FSF.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

namespace System.Data
{
	public abstract class DataTable
	{
		[TODO]
		protected DataTable()
		{
			 throw new NotImplementedException(".ctor");
		}

		[TODO]
		public void AcceptChanges()
		{
			 throw new NotImplementedException("AcceptChanges");
		}

		[TODO]
		public void BeginLoadData()
		{
			 throw new NotImplementedException("BeginLoadData");
		}

		[TODO]
		public void ChangedDataColumn(System.Data.DataRow arg1, System.Data.DataColumn arg2, System.Object arg3)
		{
			 throw new NotImplementedException("ChangedDataColumn");
		}

		[TODO]
		public void ChangedDataRow(System.Data.DataRow arg1, System.Data.DataRowAction arg2)
		{
			 throw new NotImplementedException("ChangedDataRow");
		}

		[TODO]
		public void ChangingDataColumn(System.Data.DataRow arg1, System.Data.DataColumn arg2, System.Object arg3)
		{
			 throw new NotImplementedException("ChangingDataColumn");
		}

		[TODO]
		public System.Data.DataTable Clone()
		{
			 throw new NotImplementedException("Clone");
		}

		[TODO]
		public System.Data.DataTable Copy()
		{
			 throw new NotImplementedException("Copy");
		}

		[TODO]
		public System.Data.DataColumn CopyColumn(System.Data.DataColumn arg1)
		{
			 throw new NotImplementedException("CopyColumn");
		}

		[TODO]
		public void CopyProperties(System.Data.DataTable arg1)
		{
			 throw new NotImplementedException("CopyProperties");
		}

		[TODO]
		public void DataTable()
		{
			 throw new NotImplementedException("DataTable");
		}

		[TODO]
		public void DeletedDataRow(System.Data.DataRow arg1, System.Data.DataRowAction arg2)
		{
			 throw new NotImplementedException("DeletedDataRow");
		}

		[TODO]
		public void EndLoadData()
		{
			 throw new NotImplementedException("EndLoadData");
		}

		[TODO]
		public System.Data.DataRow LoadDataRow(System.Object arg1, bool arg2)
		{
			 throw new NotImplementedException("LoadDataRow");
		}

		[TODO]
		public System.Data.DataRow NewRow()
		{
			 throw new NotImplementedException("NewRow");
		}

		[TODO]
		public System.Data.DataRow NewRowFromBuilder(System.Data.DataRowBuilder arg1)
		{
			 throw new NotImplementedException("NewRowFromBuilder");
		}

		[TODO]
		public void OnColumnChanged(System.Data.DataColumnChangeEventArgs arg1)
		{
			 throw new NotImplementedException("OnColumnChanged");
		}

		[TODO]
		public void OnColumnChanging(System.Data.DataColumnChangeEventArgs arg1)
		{
			 throw new NotImplementedException("OnColumnChanging");
		}

		[TODO]
		public void OnRowChanged(System.Data.DataRowChangeEventArgs arg1)
		{
			 throw new NotImplementedException("OnRowChanged");
		}

		[TODO]
		public void OnRowDeleted(System.Data.DataRowChangeEventArgs arg1)
		{
			 throw new NotImplementedException("OnRowDeleted");
		}

		[TODO]
		public void add_ColumnChanged(System.Data.DataColumnChangeEventHandler arg1)
		{
			 throw new NotImplementedException("add_ColumnChanged");
		}

		[TODO]
		public void add_RowChanged(System.Data.DataRowChangeEventHandler arg1)
		{
			 throw new NotImplementedException("add_RowChanged");
		}

		[TODO]
		public void add_RowDeleted(System.Data.DataRowChangeEventHandler arg1)
		{
			 throw new NotImplementedException("add_RowDeleted");
		}

		[TODO]
		public bool get_CaseSensitive()
		{
			 throw new NotImplementedException("get_CaseSensitive");
		}

		[TODO]
		public System.Data.DataRelationCollection get_ChildRelations()
		{
			 throw new NotImplementedException("get_ChildRelations");
		}

		[TODO]
		public System.Data.DataColumnCollection get_Columns()
		{
			 throw new NotImplementedException("get_Columns");
		}

		[TODO]
		public System.Data.ConstraintCollection get_Constraints()
		{
			 throw new NotImplementedException("get_Constraints");
		}

		[TODO]
		public System.Data.DataSet get_DataSet()
		{
			 throw new NotImplementedException("get_DataSet");
		}

		[TODO]
		public System.String get_DisplayExpression()
		{
			 throw new NotImplementedException("get_DisplayExpression");
		}

		[TODO]
		public System.Globalization.CultureInfo get_Locale()
		{
			 throw new NotImplementedException("get_Locale");
		}

		[TODO]
		public int get_MinimumCapacity()
		{
			 throw new NotImplementedException("get_MinimumCapacity");
		}

		[TODO]
		public System.String get_Namespace()
		{
			 throw new NotImplementedException("get_Namespace");
		}

		[TODO]
		public System.Data.DataRelationCollection get_ParentRelations()
		{
			 throw new NotImplementedException("get_ParentRelations");
		}

		[TODO]
		public System.String get_Prefix()
		{
			 throw new NotImplementedException("get_Prefix");
		}

		[TODO]
		public System.Data.DataColumn get_PrimaryKey()
		{
			 throw new NotImplementedException("get_PrimaryKey");
		}

		[TODO]
		public System.Data.DataRowCollection get_Rows()
		{
			 throw new NotImplementedException("get_Rows");
		}

		[TODO]
		public System.ComponentModel.ISite get_Site()
		{
			 throw new NotImplementedException("get_Site");
		}

		[TODO]
		public System.String get_TableName()
		{
			 throw new NotImplementedException("get_TableName");
		}

		[TODO]
		public void remove_ColumnChanged(System.Data.DataColumnChangeEventHandler arg1)
		{
			 throw new NotImplementedException("remove_ColumnChanged");
		}

		[TODO]
		public void remove_RowChanged(System.Data.DataRowChangeEventHandler arg1)
		{
			 throw new NotImplementedException("remove_RowChanged");
		}

		[TODO]
		public void set_CaseSensitive(bool arg1)
		{
			 throw new NotImplementedException("set_CaseSensitive");
		}

		[TODO]
		public void set_DisplayExpression(System.String arg1)
		{
			 throw new NotImplementedException("set_DisplayExpression");
		}

		[TODO]
		public void set_Locale(System.Globalization.CultureInfo arg1)
		{
			 throw new NotImplementedException("set_Locale");
		}

		[TODO]
		public void set_MinimumCapacity(int arg1)
		{
			 throw new NotImplementedException("set_MinimumCapacity");
		}

		[TODO]
		public void set_Namespace(System.String arg1)
		{
			 throw new NotImplementedException("set_Namespace");
		}

		[TODO]
		public void set_Prefix(System.String arg1)
		{
			 throw new NotImplementedException("set_Prefix");
		}

		[TODO]
		public void set_PrimaryKey(System.Data.DataColumn arg1)
		{
			 throw new NotImplementedException("set_PrimaryKey");
		}

		[TODO]
		public void set_Site(System.ComponentModel.ISite arg1)
		{
			 throw new NotImplementedException("set_Site");
		}

		[TODO]
		public void set_TableName(System.String arg1)
		{
			 throw new NotImplementedException("set_TableName");
		}

	}
}//namespace